Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 234525

Summary: wireshark claims UDP checksum failure for multicast
Product: [Fedora] Fedora Reporter: Steve Friedman <steve>
Component: wiresharkAssignee: Radek Vokal <rvokal>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: wireshark-0.99.7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-19 14:00:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Steve Friedman 2007-03-29 20:09:08 UTC
Description of problem:
Whether I generate multicast packets from nc, socat, or syslog-ng,
wireshark/tshark detect a UDP CHECKSUM failure.

Version-Release number of selected component (if applicable):
wireshark-0.99.5-1.fc6

How reproducible:
Every time.

Steps to Reproduce:
1. nc -u 230.0.0.2 12345
2. /usr/sbin/wireshark, and capture the identified packets
3. type something at the nc prompt
  
Actual results:
wireshark / tshark claims that the packet contains a UDP CHECKSUM failure.

Expected results:
No checksum error is detected.

Additional info:
I highly suspect that the kernel is generating the udp checksum, not the
applications.  However, here are the versions of the applications that were used
as well as the kernel:

kernel-2.6.20-1.2933.fc6
nc-1.84-10.fc6
socat-1.5.0.0-5.fc6
syslog-ng-1.6.12-1.fc6

Comment 1 Radek Vokal 2007-03-29 20:38:56 UTC
The only checksum problem I'm aware of is described here

http://wireshark.org/faq.html#q11.1

is this the same problem? 

Comment 2 Steve Friedman 2007-03-29 20:45:59 UTC
No.  I've also captured this when the packets are generated from another machine.

Comment 3 Radek Vokal 2007-07-23 13:33:03 UTC
Wireshark was updated to 0.99.6 release. Please retest the issue with the latest
update.